This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 152462 - CAN-2005-0866 cdrecord insecure temporary file
CAN-2005-0866 cdrecord insecure temporary file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cdrtools (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
source=cve,impact=low,public=20050120...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 13:50 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 12:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue (1.36 KB, patch)
2005-03-29 13:50 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-03-29 13:50:35 EST
Stolen from: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=291376

Cdrtools has some code (and default configuration) that suggests users that 
want to debug its behaviour to open up a can of worms associate to insecure 
temporary files usage. The Debug file defined in the configuration will 
just be fopened() without any checks and is thus vulnerable to symlink 
attacks.

The attached patch tries to fix this minor bug (not many users will really 
enabled DEBUG) by introducing a check in rscsi.c to avoid being vulnerable 
to symlink attacks and by modifying the provided config file telling users 
to use safe locations for debug files. The patch introduces a DoS condition 
(if somebody has created the file the program will exit) and that's why 
users are suggested (in the comments of the configuration file) to use a 
safe location (not /tmp) for debugging.
Comment 1 Josh Bressers 2005-03-29 13:50:35 EST
Created attachment 112423 [details]
Proposed patch for this issue
Comment 2 Josh Bressers 2005-03-29 13:51:14 EST
This issue should also affect RHEL2.1 and RHEL3
Comment 3 Josh Bressers 2005-06-02 14:44:44 EDT
Ping on this issue
Comment 4 Harald Hoyer 2005-09-09 12:04:50 EDT
WONTFIX until next real issue.

Note You need to log in before you can comment on or make changes to this bug.